<?php
namespace Modules\GlobalApplication\Controller;

use Skeleton\Controller\Controller;

class ChargeDocumentController extends Controller
{
    
    public function chargeDocumentAction() : string
    {
        $emplacement = $this->request->getAttribute('emplacement');
        $urlfichier  = $this->request->getAttribute('urlFichier');

        $urlfichier = str_replace('debut---slash---fin', '\\', $urlfichier);

        $helperChDoc = new \Helpers\ChargeDocument\ChargeDocument;
        $helperChDoc->chargeDoc($this->pdo, $urlfichier, $emplacement);
                
        return '';
    }
}
